Last Comment Bug 533097 - [Mac] Don't generate show popup menuitems in Tools menu
: [Mac] Don't generate show popup menuitems in Tools menu
Status: RESOLVED FIXED
: fixed-seamonkey2.0.3
Product: SeaMonkey
Classification: Client Software
Component: UI Design (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: seamonkey2.1a1
Assigned To: Stefan [:stefanh]
:
:
Mentors:
Depends on: 359597
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-05 11:17 PST by Stefan [:stefanh]
Modified: 2009-12-15 09:48 PST (History)
0 users
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Don't generate menuitems on mac (1.53 KB, patch)
2009-12-05 11:22 PST, Stefan [:stefanh]
mnyromyr: review+
neil: superreview+
kairo: approval‑seamonkey2.0.3+
Details | Diff | Splinter Review

Description Stefan [:stefanh] 2009-12-05 11:17:58 PST
On Mac, we should hide the ability to show popups from the Tools menu - it doesn't work (and it's not that easy to fix). See bug 359597.
Comment 1 Stefan [:stefanh] 2009-12-05 11:19:00 PST
Or rather we shouldn't generate them...
Comment 2 Stefan [:stefanh] 2009-12-05 11:22:02 PST
Created attachment 416282 [details] [diff] [review]
Don't generate menuitems on mac
Comment 3 Stefan [:stefanh] 2009-12-14 09:11:31 PST
Comment on attachment 416282 [details] [diff] [review]
Don't generate menuitems on mac

I think we should take this for 2.0.2. There's no point showing something that doesn't work and I consider the patch to be very safe.

Note You need to log in before you can comment on or make changes to this bug.